be.fgov.ehealth.hubservices.core.v2

## Class TherapeuticExclusionSelectType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionSelectType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TherapeuticExclusionHistorySelectType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T07:56:37+02:00",
                 comments="JAXB RI v2.2.11")
      public class TherapeuticExclusionSelectType
      extends Object
      implements Serializable

  Java class for TherapeuticExclusionSelectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TherapeuticExclusionSelectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherapeuticExclusionSelectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HcpartyType` | `getHcparty()` Gets the value of the hcparty property.
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `void` | `setHcparty(HcpartyType value)` Sets the value of the hcparty property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TherapeuticExclusionSelectType

          public TherapeuticExclusionSelectType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getHcparty

          public HcpartyType getHcparty()

      Gets the value of the hcparty property.
      Returns:
        possible object is `HcpartyType`

    - #### setHcparty

          public void setHcparty(HcpartyType value)

      Sets the value of the hcparty property.
      Parameters:
        `value` - allowed object is `HcpartyType`

Connector Packaging PERSDIETICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.